## r-cran-admisc 0.29

=== debian/changelog ===
r-cran-admisc (0.29-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jun 2022 10:44:05 +0200

r-cran-admisc (0.28-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 17 Jun 2022 21:23:56 +0200

r-cran-admisc (0.27-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 03 May 2022 11:34:26 +0200

r-cran-admisc (0.26-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 23 Mar 2022 10:29:22 +0100

r-cran-admisc (0.23-1) unstable; urgency=medium

  * Initial release (closes: #1004314)

 -- Andreas Tille <tille@debian.org>  Mon, 24 Jan 2022 22:26:58 +0100

## r-cran-admisc 0.30

=== DESCRIPTION ===
Package: admisc
Version: 0.30
Date: 2022-09-18
Title: Adrian Dusa's Miscellaneous
Authors@R: person(given = "Adrian", family = "Dusa",
                  role = c("aut", "cre", "cph"),
                  email = "dusa.adrian@unibuc.ro",
                  comment = c(ORCID = "0000-0002-3525-9253"))
Depends: R (>= 3.5.0)
Imports: methods
Suggests: QCA (>= 3.7)
Description: Contains functions used across packages 'DDIwR', 'QCA' and 'venn'.
    Interprets and translates, factorizes and negates SOP - Sum of Products
    expressions, for both binary and multi-value crisp sets, and extracts
    information (set names, set values) from those expressions. Other functions
    perform various other checks if possibly numeric (even if all numbers reside
    in a character vector) and coerce to numeric, or check if the numbers are
    whole. It also offers, among many others, a highly versatile recoding
    routine and a more flexible alternative to the base function 'with()'.
    Some of the functions in this package use related functions from package
    'QCA'. Users are encouraged to install that package despite not being listed
    in the Imports field, due to circular dependency issues.
License: GPL (>= 3)
URL: https://github.com/dusadrian/admisc
BugReports: https://github.com/dusadrian/admisc/issues
NeedsCompilation: yes
Packaged: 2022-09-18 08:25:58 UTC; dusadrian
Author: Adrian Dusa [aut, cre, cph] (<https://orcid.org/0000-0002-3525-9253>)
Maintainer: Adrian Dusa <dusa.adrian@unibuc.ro>
Repository: CRAN
Date/Publication: 2022-09-18 08:56:01 UTC

=== debian/changelog ===
r-cran-admisc (0.30-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 20 Sep 2022 07:55:13 +0200

=== debian/control ===
Source: r-cran-admisc
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-admisc
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-admisc.git
Homepage: https://cran.r-project.org/package=admisc
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-admisc
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Adrian Dusa's Miscellaneous GNU R functions
 Contains functions used across packages 'declared', 'DDIwR', 'mixed',
 'QCA' and 'venn'. Interprets and translates, factorizes and negates SOP - Sum
 of Products expressions, for both binary and multi-value crisp sets, and
 extracts information (set names, set values) from those expressions. Other
 functions perform various other checks if possibly numeric (even if all
 numbers reside in a character vector) and coerce to numeric, or check if the
 numbers are whole. It also offers, among many others, a highly flexible
 recoding routine and a more flexible alternative to the base function
 'with()'.
 .
 Some of the functions in this package use related functions from package
 'QCA'. Users are encouraged to install that package despite not being listed
 in the Imports field, due to circular dependency issues.

## r-cran-admisc 0.33

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Package: admisc
-Version: 0.30
-Date: 2022-09-18
+Version: 0.33
 Title: Adrian Dusa's Miscellaneous
 Authors@R: person(given = "Adrian", family = "Dusa",
                   role = c("aut", "cre", "cph"),
@@ -16,16 +15,17 @@
     perform various other checks if possibly numeric (even if all numbers reside
     in a character vector) and coerce to numeric, or check if the numbers are
     whole. It also offers, among many others, a highly versatile recoding
-    routine and a more flexible alternative to the base function 'with()'.
-    Some of the functions in this package use related functions from package
-    'QCA'. Users are encouraged to install that package despite not being listed
+    routine and some more flexible alternatives to the base functions 'with()'
+    and 'within()'.
+    SOP simplification functions in this package use related minimization from
+    package 'QCA', which is recommended to be installed despite not being listed
     in the Imports field, due to circular dependency issues.
 License: GPL (>= 3)
 URL: https://github.com/dusadrian/admisc
 BugReports: https://github.com/dusadrian/admisc/issues
 NeedsCompilation: yes
-Packaged: 2022-09-18 08:25:58 UTC; dusadrian
+Packaged: 2023-06-30 17:58:23 UTC; dusadrian
 Author: Adrian Dusa [aut, cre, cph] (<https://orcid.org/0000-0002-3525-9253>)
 Maintainer: Adrian Dusa <dusa.adrian@unibuc.ro>
 Repository: CRAN
-Date/Publication: 2022-09-18 08:56:01 UTC
+Date/Publication: 2023-06-30 21:30:13 UTC

=== debian/changelog ===
r-cran-admisc (0.33-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 12:34:39 +0200

r-cran-admisc (0.32-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 09 Jun 2023 20:59:52 +0200

## r-cran-admisc 0.34

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: admisc
-Version: 0.33
+Version: 0.34
 Title: Adrian Dusa's Miscellaneous
 Authors@R: person(given = "Adrian", family = "Dusa",
                   role = c("aut", "cre", "cph"),
@@ -24,8 +24,8 @@
 URL: https://github.com/dusadrian/admisc
 BugReports: https://github.com/dusadrian/admisc/issues
 NeedsCompilation: yes
-Packaged: 2023-06-30 17:58:23 UTC; dusadrian
+Packaged: 2023-12-08 11:19:26 UTC; dusadrian
 Author: Adrian Dusa [aut, cre, cph] (<https://orcid.org/0000-0002-3525-9253>)
 Maintainer: Adrian Dusa <dusa.adrian@unibuc.ro>
 Repository: CRAN
-Date/Publication: 2023-06-30 21:30:13 UTC
+Date/Publication: 2023-12-08 18:50:08 UTC

=== debian/changelog ===
r-cran-admisc (0.34-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Mon, 18 Dec 2023 06:54:03 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-admisc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-admisc.git
 Homepage: https://cran.r-project.org/package=admisc
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-admisc 0.35

=== debian/changelog ===
r-cran-admisc (0.35-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 07 May 2024 13:38:57 +0200

## r-cran-admisc 0.36

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: admisc
-Version: 0.34
+Version: 0.36
 Title: Adrian Dusa's Miscellaneous
 Authors@R: person(given = "Adrian", family = "Dusa",
                   role = c("aut", "cre", "cph"),
@@ -24,8 +24,8 @@
 URL: https://github.com/dusadrian/admisc
 BugReports: https://github.com/dusadrian/admisc/issues
 NeedsCompilation: yes
-Packaged: 2023-12-08 11:19:26 UTC; dusadrian
+Packaged: 2024-09-11 07:52:45 UTC; dusadrian
 Author: Adrian Dusa [aut, cre, cph] (<https://orcid.org/0000-0002-3525-9253>)
 Maintainer: Adrian Dusa <dusa.adrian@unibuc.ro>
 Repository: CRAN
-Date/Publication: 2023-12-08 18:50:08 UTC
+Date/Publication: 2024-09-11 22:52:55 UTC

=== debian/changelog ===
r-cran-admisc (0.36-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Tue, 17 Sep 2024 08:27:19 +0900

## r-cran-admisc 0.37

=== DESCRIPTION ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Package: admisc
-Version: 0.36
+Version: 0.37
 Title: Adrian Dusa's Miscellaneous
-Authors@R: person(given = "Adrian", family = "Dusa",
-                  role = c("aut", "cre", "cph"),
-                  email = "dusa.adrian@unibuc.ro",
-                  comment = c(ORCID = "0000-0002-3525-9253"))
+Authors@R: person(
+    given = "Adrian", family = "Dusa",
+    role = c("aut", "cre", "cph"),
+    email = "dusa.adrian@unibuc.ro",
+    comment = c(ORCID = "0000-0002-3525-9253"))
 Depends: R (>= 3.5.0)
 Imports: methods
 Suggests: QCA (>= 3.7)
@@ -24,8 +25,8 @@
 URL: https://github.com/dusadrian/admisc
 BugReports: https://github.com/dusadrian/admisc/issues
 NeedsCompilation: yes
-Packaged: 2024-09-11 07:52:45 UTC; dusadrian
+Packaged: 2024-12-08 08:22:19 UTC; dusadrian
 Author: Adrian Dusa [aut, cre, cph] (<https://orcid.org/0000-0002-3525-9253>)
 Maintainer: Adrian Dusa <dusa.adrian@unibuc.ro>
 Repository: CRAN
-Date/Publication: 2024-09-11 22:52:55 UTC
+Date/Publication: 2024-12-08 09:00:02 UTC

=== debian/changelog ===
r-cran-admisc (0.37-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Fri, 31 Jan 2025 08:35:05 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-admisc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-admisc.git
 Homepage: https://cran.r-project.org/package=admisc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/admisc_([-\d.]*)\.tar\.gz

## r-cran-admisc 0.39

=== debian/changelog ===
r-cran-admisc (0.39-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 11 Dec 2025 11:59:02 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-admisc
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-admisc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-admisc.git
 Homepage: https://cran.r-project.org/package=admisc
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-admisc
 Architecture: any
